Bug 1291960 - updating katello-agent package via webui has undesired result
updating katello-agent package via webui has undesired result
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Errata Management (Show other bugs)
6.1.5
Unspecified Unspecified
unspecified Severity medium (vote)
: 6.2.8
: --
Assigned To: Zach Huntington-Meath
jcallaha
: PrioBumpField, Triaged
Depends On:
Blocks: 1419046
  Show dependency treegraph
 
Reported: 2015-12-15 22:48 EST by Kathryn Dixon
Modified: 2017-08-26 12:25 EDT (History)
12 users (show)

See Also:
Fixed In Version: katello-agent-2.9.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1419046 (view as bug list)
Environment:
Last Closed: 2017-03-06 03:26:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
verification screenshot (43.68 KB, image/png)
2017-02-21 10:11 EST, jcallaha
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2892461 None None None 2017-01-29 17:43 EST
Foreman Issue Tracker 18187 None None None 2017-01-24 08:53 EST

  None (edit)
Description Kathryn Dixon 2015-12-15 22:48:23 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. upgrade satellite to 6.1.5
2. sync satellite-tools
3. go to content host > packages > package update
4. choose katello-agent

Actual results:

From content host

# yum list katello-agent
Loaded plugins: langpacks, package_upload, product-id, subscription-manager
Installed Packages
katello-agent.noarch 2.2.5-1.el7sat @rhel-7-server-satellite-tools-6.1-rpms
katello-agent.noarch 2.2.6-1.el7sat installed


Expected results:

Would expect it to upgrade katello-agent, not install it again.

Additional info:

From the task in dynflow console

pulp_tasks:
- exception: 
  task_type: 
  _href: /pulp/api/v2/tasks/792221cf-2117-4a8b-952b-834b5d1f8a56/
  task_id: 792221cf-2117-4a8b-952b-834b5d1f8a56
  tags:
  - pulp:consumer:f7cb58b7-bff1-4be5-b0a0-f87ce700916b
  - pulp:action:unit_update
  finish_time: '2015-12-16T01:24:02Z'
  _ns: task_status
  start_time: '2015-12-16T01:23:59Z'
  traceback: 
  spawned_tasks: []
  progress_report:
    steps:
    - - Refresh Repository Metadata
      - true
    - - Downloading Packages
      - true
    - - Check Package Signatures
      - true
    - - Running Test Transaction
      - true
    - - Running Transaction
      - false
    details:
      error: Non-fatal POSTIN scriptlet failure in rpm package katello-agent-2.2.6-1.el7sat.noarch
  queue: agent.dq
  state: finished
  worker_name: agent
  result:
    details:
      rpm:
        details:
          message: ! 'Test Transaction Errors:   package katello-agent-2.2.6-1.el7sat.noarch
            is already installed

'
          trace: ! "Traceback (most recent call last):\n\n  File \"/usr/lib/python2.7/site-packages/pulp/agent/lib/dispatcher.py\",
            line 108, in update\n    report = handler.update(conduit, units, dict(options))\n\n
            \ File \"/usr/lib/python2.7/site-packages/pulp_rpm/handlers/rpm.py\",
            line 129, in update\n    details = pkg.update(names)\n\n  File \"/usr/lib/python2.7/site-packages/pulp_rpm/handlers/rpmtools.py\",
            line 188, in update\n    yb.processTransaction()\n\n  File \"/usr/lib/python2.7/site-packages/pulp_rpm/handlers/rpmtools.py\",
            line 562, in processTransaction\n    YumBase.processTransaction(self,
            callback, rpmDisplay=display)\n\n  File \"/usr/lib/python2.7/site-packages/yum/__init__.py\",
            line 6480, in processTransaction\n    self._doTestTransaction(callback,display=rpmTestDisplay)\n\n
            \ File \"/usr/lib/python2.7/site-packages/yum/__init__.py\", line 6577,
            in _doTestTransaction\n    raise Errors.YumTestTransactionError, errstring\n\nYumTestTransactionError:
            Test Transaction Errors:   package katello-agent-2.2.6-1.el7sat.noarch
            is already installed\n\n"
        succeeded: false
    num_changes: 0
    succeeded: false
    reboot:
      scheduled: false
      details: {}
  error: 
  _id:
    $oid: 56617a478900444d3a60cde8
  id: 56617a478900444d3a60cde8
poll_attempts:
  total: 22
  failed: 1

-----

with gofer debugging on..

Dec 15 20:23:14 rx71sat6 goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:100 - connecting: URL: amqps://cragsat61.usersys.redhat.com:5647|SSL: ca: /etc/rhsm/ca/katello-default-ca.pem|key: None|certificate: /etc/pki/consumer/bundle.pem|host-validation: None
Dec 15 20:23:14 rx71sat6 goferd: [INFO][worker-0] root:485 - connecting to cragsat61.usersys.redhat.com:5647...
Dec 15 20:23:14 rx71sat6 goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:103 - connected: amqps://cragsat61.usersys.redhat.com:5647
Dec 15 20:23:14 rx71sat6 goferd: [INFO][worker-0] root:505 - connected to cragsat61.usersys.redhat.com:5647
Dec 15 20:23:15 rx71sat6 goferd: [INFO][worker-0] gofer.rmi.dispatcher:600 - call: Content.update() sn=ee457047-5a99-41c2-ab2c-4e95b8e6733b data={u'task_id': u'792221cf-2117-4a8b-952b-834b5d1f8a56', u'consumer_id': u'f7cb58b7-bff1-4be5-b0a0-f87ce700916b'}
Dec 15 20:23:33 rx71sat6 goferd: [INFO][worker-0] root:525 - Disconnected
Dec 15 20:23:43 rx71sat6 goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:100 - connecting: URL: amqps://cragsat61.usersys.redhat.com:5647|SSL: ca: /etc/rhsm/ca/katello-default-ca.pem|key: None|certificate: /etc/pki/consumer/bundle.pem|host-validation: None
Dec 15 20:23:43 rx71sat6 goferd: [INFO][worker-0] root:485 - connecting to cragsat61.usersys.redhat.com:5647...
Dec 15 20:23:44 rx71sat6 goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:103 - connected: amqps://cragsat61.usersys.redhat.com:5647
Dec 15 20:23:44 rx71sat6 goferd: [INFO][worker-0] root:505 - connected to cragsat61.usersys.redhat.com:5647
Dec 15 20:23:54 rx71sat6 systemd: Reloading.
Dec 15 20:23:54 rx71sat6 systemd: [/usr/lib/systemd/system/lvm2-lvmetad.socket:9] Unknown lvalue 'RemoveOnStop' in section 'Socket'
Dec 15 20:23:54 rx71sat6 systemd: [/usr/lib/systemd/system/dm-event.socket:10] Unknown lvalue 'RemoveOnStop' in section 'Socket'
Dec 15 20:23:54 rx71sat6 systemd: Activated swap /dev/mapper/rhel_unused-swap.
Dec 15 20:23:54 rx71sat6 systemd: Found device /dev/mapper/rhel_unused-swap.
Dec 15 20:23:54 rx71sat6 systemd: Mounted /boot.
Dec 15 20:23:54 rx71sat6 systemd: Mounted /.
Dec 15 20:23:54 rx71sat6 systemd: Found device /dev/disk/by-uuid/8cd9c0a8-1c86-43b1-94da-840f4b845db5.
Dec 15 20:23:54 rx71sat6 systemd: Found device /sys/devices/pci0000:00/0000:00:07.0/virtio2/block/vda/vda1.
Dec 15 20:23:54 rx71sat6 systemd: Found device /dev/vda1.
Dec 15 20:23:54 rx71sat6 systemd: Found device /sys/devices/virtual/block/dm-0.
Dec 15 20:23:54 rx71sat6 systemd: Found device /dev/dm-0.
Dec 15 20:23:54 rx71sat6 systemd: Found device /dev/disk/by-id/dm-name-rhel_unused-swap.
Dec 15 20:23:54 rx71sat6 systemd: Found device /dev/disk/by-id/dm-uuid-LVM-1oI5KfHIqgKocaCUeUOZC8eZJppIdSE2NhLpBpeyUEOIg4nXzqBUPQ9edj2PS9AG.
Dec 15 20:23:54 rx71sat6 systemd: Found device /dev/disk/by-uuid/89b72e46-86e5-4bce-980f-c5e33d77b92f.
Dec 15 20:23:54 rx71sat6 systemd: Found device /dev/rhel_unused/swap.
Dec 15 20:23:54 rx71sat6 systemd: Activated swap /dev/disk/by-id/dm-name-rhel_unused-swap.
Dec 15 20:23:54 rx71sat6 systemd: Activated swap /dev/disk/by-id/dm-uuid-LVM-1oI5KfHIqgKocaCUeUOZC8eZJppIdSE2NhLpBpeyUEOIg4nXzqBUPQ9edj2PS9AG.
Dec 15 20:23:54 rx71sat6 systemd: Activated swap /dev/disk/by-uuid/89b72e46-86e5-4bce-980f-c5e33d77b92f.
Dec 15 20:23:54 rx71sat6 systemd: Activated swap /dev/rhel_unused/swap.
Dec 15 20:23:54 rx71sat6 systemd: Activated swap /dev/dm-0.
Dec 15 20:23:54 rx71sat6 systemd: Starting Flexible Branding Service...
Dec 15 20:23:54 rx71sat6 systemd: Started Flexible Branding Service.
Dec 15 20:23:54 rx71sat6 systemd: Stopping Gofer Agent...
Dec 15 20:23:56 rx71sat6 systemd: goferd.service: main process exited, code=exited, status=1/FAILURE
Dec 15 20:23:56 rx71sat6 systemd: Unit goferd.service entered failed state.
Dec 15 20:23:56 rx71sat6 systemd: Starting Gofer Agent...
Dec 15 20:23:56 rx71sat6 systemd: Started Gofer Agent.
Dec 15 20:23:56 rx71sat6 goferd: [INFO][Thread-1] gofer.rmi.store:116 - Using: /var/lib/gofer/messaging/pending/builtin
Dec 15 20:23:56 rx71sat6 goferd: [INFO][MainThread] gofer.agent.plugin:615 - plugin:builtin loaded using: /usr/share/gofer/plugins/builtin.py
Dec 15 20:23:56 rx71sat6 goferd: [INFO][Thread-2] gofer.rmi.store:116 - Using: /var/lib/gofer/messaging/pending/katelloplugin
Dec 15 20:23:56 rx71sat6 goferd: [INFO][Thread-2] gofer.rmi.store:118 - Restoring: /var/lib/gofer/messaging/pending/katelloplugin/1450228994-112969-0000.json
Dec 15 20:23:56 rx71sat6 goferd: [INFO][MainThread] gofer.agent.plugin:615 - plugin:katelloplugin loaded using: /usr/lib/gofer/plugins/katelloplugin.py
Dec 15 20:23:56 rx71sat6 goferd: [INFO][MainThread] rhsm.connection:682 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
Dec 15 20:23:56 rx71sat6 goferd: [INFO][MainThread] rhsm.connection:693 - Connection Built: host: cragsat61.usersys.redhat.com, port: 443, handler: /rhsm
Dec 15 20:23:56 rx71sat6 goferd: [WARNING][MainThread] rhsm.connection:496 - Clock skew detected, please check your system time
Dec 15 20:23:56 rx71sat6 goferd: [INFO][MainThread] katelloplugin:170 - Using /etc/rhsm/ca/katello-default-ca.pem as the ca cert for qpid connection
Dec 15 20:23:56 rx71sat6 goferd: [INFO][MainThread] rhsm.connection:682 - Using certificate authentication: key = /etc/pki/consumer/key.pem, cert = /etc/pki/consumer/cert.pem, ca = /etc/rhsm/ca/, insecure = False
Dec 15 20:23:56 rx71sat6 goferd: [INFO][MainThread] rhsm.connection:693 - Connection Built: host: cragsat61.usersys.redhat.com, port: 443, handler: /rhsm
Dec 15 20:23:56 rx71sat6 goferd: Loaded plugins: langpacks, product-id
Dec 15 20:23:56 rx71sat6 goferd: [INFO][MainThread] katelloplugin:345 - reporting: {'enabled_repos': {'repos': [{'baseurl': ['https://cragsat61.usersys.redhat.com/pulp/repos/Default_Organization/Library/content/dist/rhel/server/7/7Server/x86_64/os'], 'repositoryid': 'rhel-7-server-rpms'}, {'baseurl': ['https://cragsat61.usersys.redhat.com/pulp/repos/Default_Organization/Library/content/dist/rhel/server/7/7Server/x86_64/sat-tools/6.1/os'], 'repositoryid': 'rhel-7-server-satellite-tools-6.1-rpms'}]}}
Dec 15 20:23:57 rx71sat6 goferd: [WARNING][MainThread] rhsm.connection:496 - Clock skew detected, please check your system time
Dec 15 20:23:57 rx71sat6 goferd: [INFO][MainThread] gofer.agent.main:79 - agent started.
Dec 15 20:23:57 rx71sat6 goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:100 - connecting: URL: amqps://cragsat61.usersys.redhat.com:5647|SSL: ca: /etc/rhsm/ca/katello-default-ca.pem|key: None|certificate: /etc/pki/consumer/bundle.pem|host-validation: None
Dec 15 20:23:57 rx71sat6 goferd: [INFO][worker-0] root:485 - connecting to cragsat61.usersys.redhat.com:5647...
Dec 15 20:23:58 rx71sat6 goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:103 - connected: amqps://cragsat61.usersys.redhat.com:5647
Dec 15 20:23:58 rx71sat6 goferd: [INFO][worker-0] root:505 - connected to cragsat61.usersys.redhat.com:5647
Dec 15 20:23:58 rx71sat6 goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:154 - closed: amqps://cragsat61.usersys.redhat.com:5647
Dec 15 20:23:58 rx71sat6 goferd: [INFO][pulp.agent.f7cb58b7-bff1-4be5-b0a0-f87ce700916b] gofer.messaging.adapter.proton.connection:100 - connecting: URL: amqps://cragsat61.usersys.redhat.com:5647|SSL: ca: /etc/rhsm/ca/katello-default-ca.pem|key: None|certificate: /etc/pki/consumer/bundle.pem|host-validation: None
Dec 15 20:23:58 rx71sat6 goferd: [INFO][worker-0] gofer.agent.plugin:321 - plugin:katelloplugin queue:pulp.agent.f7cb58b7-bff1-4be5-b0a0-f87ce700916b, attached
Dec 15 20:23:58 rx71sat6 goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:100 - connecting: URL: amqps://cragsat61.usersys.redhat.com:5647|SSL: ca: /etc/rhsm/ca/katello-default-ca.pem|key: None|certificate: /etc/pki/consumer/bundle.pem|host-validation: None
Dec 15 20:23:58 rx71sat6 goferd: [INFO][pulp.agent.f7cb58b7-bff1-4be5-b0a0-f87ce700916b] root:485 - connecting to cragsat61.usersys.redhat.com:5647...
Dec 15 20:23:58 rx71sat6 goferd: [INFO][worker-0] root:485 - connecting to cragsat61.usersys.redhat.com:5647...
Dec 15 20:23:59 rx71sat6 goferd: [INFO][worker-0] gofer.messaging.adapter.proton.connection:103 - connected: amqps://cragsat61.usersys.redhat.com:5647
Dec 15 20:23:59 rx71sat6 goferd: [INFO][worker-0] root:505 - connected to cragsat61.usersys.redhat.com:5647
Dec 15 20:23:59 rx71sat6 goferd: [INFO][pulp.agent.f7cb58b7-bff1-4be5-b0a0-f87ce700916b] gofer.messaging.adapter.proton.connection:103 - connected: amqps://cragsat61.usersys.redhat.com:5647
Dec 15 20:23:59 rx71sat6 goferd: [INFO][pulp.agent.f7cb58b7-bff1-4be5-b0a0-f87ce700916b] root:505 - connected to cragsat61.usersys.redhat.com:5647
Dec 15 20:23:59 rx71sat6 goferd: [INFO][worker-0] gofer.rmi.dispatcher:600 - call: Content.update() sn=ee457047-5a99-41c2-ab2c-4e95b8e6733b data={u'task_id': u'792221cf-2117-4a8b-952b-834b5d1f8a56', u'consumer_id': u'f7cb58b7-bff1-4be5-b0a0-f87ce700916b'}
Dec 15 20:24:02 rx71sat6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 - handler failed
Dec 15 20:24:02 rx71sat6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 - Traceback (most recent call last):
Dec 15 20:24:02 rx71sat6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 -   File "/usr/lib/python2.7/site-packages/pulp/agent/lib/dispatcher.py", line 108, in update
Dec 15 20:24:02 rx71sat6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 -     report = handler.update(conduit, units, dict(options))
Dec 15 20:24:02 rx71sat6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 -   File "/usr/lib/python2.7/site-packages/pulp_rpm/handlers/rpm.py", line 129, in update
Dec 15 20:24:02 rx71sat6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 -     details = pkg.update(names)
Dec 15 20:24:02 rx71sat6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 -   File "/usr/lib/python2.7/site-packages/pulp_rpm/handlers/rpmtools.py", line 188, in update
Dec 15 20:24:02 rx71sat6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 -     yb.processTransaction()
Dec 15 20:24:02 rx71sat6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 -   File "/usr/lib/python2.7/site-packages/pulp_rpm/handlers/rpmtools.py", line 562, in processTransaction
Dec 15 20:24:02 rx71sat6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 -     YumBase.processTransaction(self, callback, rpmDisplay=display)
Dec 15 20:24:02 rx71sat6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 -   File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 6480, in processTransaction
Dec 15 20:24:02 rx71sat6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 -     self._doTestTransaction(callback,display=rpmTestDisplay)
Dec 15 20:24:02 rx71sat6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 -   File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 6577, in _doTestTransaction
Dec 15 20:24:02 rx71sat6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 -     raise Errors.YumTestTransactionError, errstring
Dec 15 20:24:02 rx71sat6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 - YumTestTransactionError: Test Transaction Errors:   package katello-agent-2.2.6-1.el7sat.noarch is already installed
Dec 15 20:24:02 rx71sat6 goferd: [ERROR][worker-0] pulp.agent.lib.dispatcher:112 -
Dec 15 20:24:02 rx71sat6 goferd: [INFO][worker-0] gofer.agent.rmi:129 - sn=ee457047-5a99-41c2-ab2c-4e95b8e6733b processed in: 6.273 (seconds)
Comment 1 Bryan Kearney 2016-07-26 15:08:11 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Zach Huntington-Meath 2017-01-10 10:54:18 EST
*** Bug 1382436 has been marked as a duplicate of this bug. ***
Comment 3 Zach Huntington-Meath 2017-01-24 08:53:05 EST
Connecting redmine issue http://projects.theforeman.org/issues/18187 from this bug
Comment 12 jcallaha 2017-02-21 10:08:54 EST
Verified in Satellite 6.2.8 Snap 2

The new version of katello-agent was able to remove older versions of katello agent starting at 2.9. See attached screenshot for verification.

-bash-4.2# yum list katello-agent
Loaded plugins: package_upload, product-id, search-disabled-repos, subscription-manager
Installed Packages
katello-agent.noarch                                                              2.9.0-1.el7sat                                                              @Default_Organization_628_7tools
Available Packages
katello-agent.noarch                                                              2.9.0-2.el7sat                                                              Default_Organization_628_agent  

---Upgrade katello-agent in UI---

-bash-4.2# yum list katello-agent
Loaded plugins: package_upload, product-id, search-disabled-repos, subscription-manager
Installed Packages
katello-agent.noarch
Comment 13 jcallaha 2017-02-21 10:11 EST
Created attachment 1256165 [details]
verification screenshot
Comment 15 errata-xmlrpc 2017-03-06 03:26:04 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0447

Note You need to log in before you can comment on or make changes to this bug.